Bug 99092 - [patch] devel/monotone update to 0.27
Summary: [patch] devel/monotone update to 0.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-18 08:30 UTC by Arseny Nasokin
Modified: 2006-06-26 19:15 UTC (History)
0 users

See Also:


Attachments
file.diff (258 bytes, patch)
2006-06-18 08:30 UTC, Arseny Nasokin
no flags Details | Diff
file.diff (1.45 KB, patch)
2006-06-18 08:30 UTC, Arseny Nasokin
no flags Details | Diff
Makefile.diff (819 bytes, patch)
2006-06-18 11:00 UTC, Arseny Nasokin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arseny Nasokin 2006-06-18 08:30:15 UTC
Monotone 0.27 released.
official homepage here:
http://www.venge.net/monotone/

Fix: Makefile
files/patch-Makefile.in
Comment 1 Edwin Groothuis freebsd_committer 2006-06-18 08:32:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Arseny Nasokin 2006-06-18 11:00:11 UTC
Updated patch: 
 GNU configure assumes infodir to `${prefix}/share/info', not `${prefix}/info'
-- 
   Best regards,
   	Arseny Nasokin
Comment 3 Lapo Luchini 2006-06-18 13:49:23 UTC
OK, tested on FreeBSD 6 and works ok (I did not include the
"MAKE_ARGS=-j2" line, I think it's up to people to decide, not up to
port Makefile).
Versione 0.27 shuold work on FreeBSD 4.x again, too. I'll do a bit more
testing and then reply with final patch here.
Comment 4 Lapo Luchini 2006-06-18 15:39:06 UTC
Tested on both FreeBSD-6.1 and FreeBSD-4.8.

diff -burN monotone/Makefile monotone-0.27/Makefile
--- monotone/Makefile   Mon Apr 24 16:14:30 2006
+++ monotone-0.27/Makefile      Sun Jun 18 16:07:42 2006
@@ -6,15 +6,13 @@
 #

 PORTNAME=      monotone
-PORTVERSION=   0.26
+PORTVERSION=   0.27
 CATEGORIES=    devel
 MASTER_SITES=  http://www.venge.net/monotone/downloads/

 MAINTAINER=    lapo@lapo.it
 COMMENT=       A distributed version control system with digital signatures

-LIB_DEPENDS=   boost_regex.3:${PORTSDIR}/devel/boost
-
 SUB_FILES=     pkg-message
 USE_GCC=       3.4+
 USE_PERL5_BUILD=yes
@@ -22,6 +20,7 @@
 USE_GMAKE=     yes

 GNU_CONFIGURE= yes
+CONFIGURE_ARGS=        --infodir=${PREFIX}/${INFO_PATH}
--mandir=${PREFIX}/man
 CONFIGURE_ENV= CPPFLAGS="-I${LOCALBASE}/include" \
                LDFLAGS="-L${LOCALBASE}/lib" \
                MAKEINFO="makeinfo --no-split"
@@ -34,7 +33,9 @@
 .include <bsd.port.pre.mk>

 .if ${OSVERSION} < 500000
-BROKEN=                wcswidth() not present in libc on FreeBSD < 5.0
+LIB_DEPENDS=   boost_regex.3:${PORTSDIR}/devel/boost-gcc3
+.else
+LIB_DEPENDS=   boost_regex.3:${PORTSDIR}/devel/boost
 .endif

 .if defined(WITHOUT_NLS)
diff -burN monotone/distinfo monotone-0.27/distinfo
--- monotone/distinfo   Mon Apr 24 16:14:30 2006
+++ monotone-0.27/distinfo      Sun Jun 18 14:16:19 2006
@@ -1,3 +1,3 @@
-MD5 (monotone-0.26.tar.gz) = 21b902d1b48ffb868536d04c4ad38155
-SHA256 (monotone-0.26.tar.gz) =
4ced85ad82f7f74bc75f08d93009fa2f25b7516f11e78ece1f775a3db433054a
-SIZE (monotone-0.26.tar.gz) = 5630955
+MD5 (monotone-0.27.tar.gz) = cf3d8f26b7570d0d65834c3949913e2d
+SHA256 (monotone-0.27.tar.gz) =
0a817e08b06141d78f2b8b0073aafd7110147679efb49c3e88c96a486532cacd
+SIZE (monotone-0.27.tar.gz) = 6084853
diff -burN monotone/files/patch-Makefile.in
monotone-0.27/files/patch-Makefile.in
--- monotone/files/patch-Makefile.in    Mon Apr 24 16:14:30 2006
+++ monotone-0.27/files/patch-Makefile.in       Sun Jun 18 14:18:36 2006
@@ -1,11 +1,15 @@
---- Makefile.in.orig   Sun Apr  9 04:46:33 2006
-+++ Makefile.in        Tue Apr 11 15:12:05 2006
-@@ -1824,10 +1824,10 @@
+--- Makefile.in.orig   Sat Jun 17 23:50:36 2006
++++ Makefile.in        Sun Jun 18 14:17:46 2006
+@@ -1909,13 +1909,13 @@ clean-noinstPROGRAMS:
        -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
  mtn$(EXEEXT): $(mtn_OBJECTS) $(mtn_DEPENDENCIES)
        @rm -f mtn$(EXEEXT)
 -      $(CXXLINK) $(mtn_LDFLAGS) $(mtn_OBJECTS) $(mtn_LDADD) $(LIBS)
 +      $(CXXLINK) $(mtn_LDFLAGS) $(mtn_OBJECTS) $(mtn_LDADD) $(LIBS)
$(LIBINTL) $(LIBICONV)
+ tester$(EXEEXT): $(tester_OBJECTS) $(tester_DEPENDENCIES)
+       @rm -f tester$(EXEEXT)
+-      $(CXXLINK) $(tester_LDFLAGS) $(tester_OBJECTS) $(tester_LDADD)
$(LIBS)
++      $(CXXLINK) $(tester_LDFLAGS) $(tester_OBJECTS) $(tester_LDADD)
$(LIBS) $(LIBINTL) $(LIBICONV)
  unit_tests$(EXEEXT): $(unit_tests_OBJECTS) $(unit_tests_DEPENDENCIES)
        @rm -f unit_tests$(EXEEXT)
 -      $(CXXLINK) $(unit_tests_LDFLAGS) $(unit_tests_OBJECTS)
$(unit_tests_LDADD) $(LIBS)
@@ -13,3 +17,12 @@
  contrib/$(am__dirstamp):
        @$(mkdir_p) contrib
        @: > contrib/$(am__dirstamp)
+@@ -1926,7 +1926,7 @@ contrib/usher.$(OBJEXT): contrib/$(am__d
+       contrib/$(DEPDIR)/$(am__dirstamp)
+ usher$(EXEEXT): $(usher_OBJECTS) $(usher_DEPENDENCIES)
+       @rm -f usher$(EXEEXT)
+-      $(CXXLINK) $(usher_LDFLAGS) $(usher_OBJECTS) $(usher_LDADD) $(LIBS)
++      $(CXXLINK) $(usher_LDFLAGS) $(usher_OBJECTS) $(usher_LDADD)
$(LIBS) $(LIBINTL) $(LIBICONV)
+
+ mostlyclean-compile:
+       -rm -f *.$(OBJEXT)
Comment 5 Shaun Amott freebsd_committer 2006-06-23 01:43:56 UTC
State Changed
From-To: feedback->open

Maintainer provided updated patch. 


Comment 6 Shaun Amott freebsd_committer 2006-06-23 01:43:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Take it.
Comment 7 Shaun Amott freebsd_committer 2006-06-26 19:15:25 UTC
State Changed
From-To: open->closed

Committed, thanks!